#ifndef _METAFILE_H_
#define _METAFILE_H_

#include "..\type\typeapi.h"
#include "..\type\basic.hpp"
#include "..\sys\codehead.h"
#include "..\sys\mode.hpp"

class CMetaFile
{
public:
    CMetaFile();
    ~CMetaFile();

    bool OpenMetaFileHandle(const char * strFileName);
    void CloseMetaFileHandle();

    void WriteToMetaFile(char* buf,int No);
    
    void WriteVopMetaData(int VopNo, UInt file_pos, VOPpredType pretype);
    void WriteVopMetaData2(CStatistics& cStatVOP);
    void WriteEOSMetaData(UInt file_pos);
    void WriteFGSVopMetaData(int iVopNo, int maxlevel, int codedlevel);
    void WriteFGSVopBpMetaData(int iVopNo, int fgsVopBpID, UInt file_pos);


private:
    Bool m_bMetaFileOpened;
    ::ofstream m_oMetaFile;   // meta data     

};

#endif